Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  package tests
  Definition Classes
    interactive
- CancelException
- CommentPreservingTypers
- CompilerControl
- CondPickler
- ContextTrees
- FreshRunReq
- Global
- InteractiveAnalyzer
- InteractiveReporter
- Lexer
- LogReplay
- Logger
- Main
- MissingResponse
- NoSuchUnitError
- NullLogger
- Pickler
- Picklers
- PresentationCompilerThread
- PrettyWriter
- Problem
- REPL
- RangePositions
- Replayer
- Response
- RichCompilationUnits
- ShutdownReq

c

scala.tools.nsc.interactive

# Logger 

###

#### class Logger extends LogReplay

Source
  Replayer.scala

Linear Supertypes
LogReplay, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Logger
2. LogReplay
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Logger(wr0: Writer)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Logger to any2stringadd[Logger] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Logger, B)
   Implicit
     This member is added by an implicit conversion from Logger to ArrowAssoc[Logger] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def close(): Unit
   Definition Classes
     Logger → LogReplay
9.  def ensuring(cond: (Logger) ⇒ Boolean, msg: ⇒ Any): Logger
   Implicit
     This member is added by an implicit conversion from Logger to Ensuring[Logger] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Logger) ⇒ Boolean): Logger
    Implicit
      This member is added by an implicit conversion from Logger to Ensuring[Logger] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): Logger
    Implicit
      This member is added by an implicit conversion from Logger to Ensuring[Logger] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Logger
    Implicit
      This member is added by an implicit conversion from Logger to Ensuring[Logger] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def flush(): Unit
    Definition Classes
      Logger → LogReplay
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Logger to StringFormat[Logger] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def logreplay[T](event: String, x: ⇒ Option[T])(implicit arg0: Pickler[T]): Option[T]
    Definition Classes
      Logger → LogReplay
22.  def logreplay(event: String, x: ⇒ Boolean): Boolean
    Definition Classes
      Logger → LogReplay
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  val wr: PrettyWriter
32.  def →[B](y: B): (Logger, B)
    Implicit
      This member is added by an implicit conversion from Logger to ArrowAssoc[Logger] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from LogReplay

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Logger to any2stringadd[Logger]

### Inherited by implicit conversion StringFormat from Logger to StringFormat[Logger]

### Inherited by implicit conversion Ensuring from Logger to Ensuring[Logger]

### Inherited by implicit conversion ArrowAssoc from Logger to ArrowAssoc[Logger]

### Ungrouped